BEGIN TRANSACTION;

--创建安全加固项表
create table security_item(
	doc_parent_item_id integer not null,  
	doc_item_id integer not null,
	item_key text,   	  
	state integer not null,			  
	backup_state integer not null,    
	backup_data1 text,				  
	backup_data2 text,				  
	backup_data3 text,				  
	backup_data4 text				  
);

--创建操作历史记录表
create table oper_history(
	oper_id integer primary key autoincrement,
	oper_type integer not null,  	  		
	reboot_type integer,				  		
	cost_time integer,				  		
	find_count integer,				  		
	deal_count integer,				  		
	wait_count integer,				  		
	oper_time not null default current_timestamp 
);

--创建安全加固项模板表
create table security_template(
	template_id integer primary key autoincrement,
	template_name text,
	parent_items text,
	template_type integer,
	template_desc text,
	choose_template_id integer
);

--创建安全加固项模板表
create table reinforce_history(
	ever_reinforce_flag integer
);

insert into security_template values(1,'全部项','安全服务,1;内核参数,1;安全网络,1;系统命令,1;系统审计,1;系统设置,1;潜在风险,1;文件权限,1;风险账户,1;磁盘检查,1;密码强度,1;账户锁定,1;系统安全,1;系统维护,1;资源分配,1;',0,'全部安全加固项',1);
insert into security_template values(2,'三级项','安全服务,1;内核参数,0;安全网络,0;系统命令,0;系统审计,1;系统设置,1;潜在风险,0;文件权限,0;风险账户,0;磁盘检查,1;密码强度,1;账户锁定,1;系统安全,1;系统维护,1;资源分配,1;',0,'三级安全加固项',0);

insert into reinforce_history values(0);

COMMIT;